Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class CRF.Factors.Incrementor

    java.lang.Object
      cc.mallet.fst.CRF.Factors.Incrementor

All Implemented Interfaces:
  Transducer.Incrementor

Enclosing class:
  CRF.Factors

    public class CRF.Factors.Incrementor

extends java.lang.Object
implements Transducer.Incrementor

Instances of this inner class can be passed to various inference methods, which can then gather/increment sufficient statistics counts into the containing Factor instance.

Constructor Summary
`CRF.Factors.Incrementor()`

Method Summary
`void` | `incrementFinalState(Transducer.State s, double count)`
`void` | `incrementInitialState(Transducer.State s, double count)`
`void` | `incrementTransition(Transducer.TransitionIterator ti, double count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRF.Factors.Incrementor

    public CRF.Factors.Incrementor()

Method Detail

### incrementFinalState

    public void incrementFinalState(Transducer.State s,
                                    double count)

  Specified by:
    `incrementFinalState` in interface `Transducer.Incrementor`

### incrementInitialState

    public void incrementInitialState(Transducer.State s,
                                      double count)

  Specified by:
    `incrementInitialState` in interface `Transducer.Incrementor`

### incrementTransition

    public void incrementTransition(Transducer.TransitionIterator ti,
                                    double count)

  Specified by:
    `incrementTransition` in interface `Transducer.Incrementor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD